[MediaWiki-l] Problem with mediawiki-upgrade

Dave Humphrey dave at uesp.net
Fri Oct 17 12:35:19 UTC 2014


I would take a guess and say the upgrade procedure is trying to create that
table and fails for some reason. Are you sure you are running the minimum
versions required for 1.23 (PHP 5.3.2, MySQL 5.0.2)?

Try creating that table manually by copy/pasting the CREATE TABLE into a
MySQL session and see if it works or if you get an error (or if it already
exists but is not accessible for some reason).

On 17 October 2014 08:19, Katharina Wolkwitz <wolkwitz at fh-swf.de> wrote:

> Hi again,
>
> before I can move my wikis to the new server I need to upgrade them to the
> current version (or at least it says so in every how-to I've found so far).
>
> The wiki is currently running under version 1.16.2 and I want to get to
> 1.23.5
>
> And now I'm encountering the following problems:
>
> Creating user_properties table...Es gab einen Syntaxfehler in der
> Datenbankabfrage.
> Die letzte Datenbankabfrage lautete: âCREATE TABLE `user_properties`(
>  up_user int not null,
>  up_property varbinary(32) not null,
>  up_value blob
>  ) ENGINE=InnoDB, DEFAULT CHARSET=binary
> â aus der Funktion â<tt>DatabaseBase::sourceStream</tt>â.
> Die Datenbank meldete den Fehler: â<tt>1146: Table
> '_fhbwiki.user_properties'
> doesn't exist (localhost)</tt>â.
>
> Any hints and tipps appreciated.
>
> Kate
>
> _______________________________________________
> MediaWiki-l mailing list
> To unsubscribe, go to:
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
>



-- 
Dave Humphrey -- dave at uesp.net
Founder/Server Admin of the Unofficial Elder Scrolls Pages -- www.uesp.net
www.viud.net - Building the world's toughest USB drive


More information about the MediaWiki-l mailing list